.header {
    position: sticky;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 10;
    background-color: white;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 1px 2px 0px;
}

.header .main12 {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 5px auto;
}

.header .logo {
    display: flex;
    justify-content: center;
    align-items: center;
}

.header .logo img {
    vertical-align: middle;
    width: 120px;
}

.header .menu .head {
    display: none;
}

.header .menu ul {
    list-style: none;
    margin: auto;
}

.header .menu>ul>li {
    display: inline-block;
    margin: auto;
}

.header .menu>ul>li:not(:last-child) {
    margin-right: 25px;
}

.header .menu .dropdown {
    position: relative;
    transition: all .5s ease;
    -webkit-transition: all .5s ease;
    -moz-transition: all .5s ease;
    -ms-transition: all .5s ease;
    -o-transition: all .5s ease;

    li {
        transition: all 0.3s linear;
        -webkit-transition: all 0.3s linear;
        -moz-transition: all 0.3s linear;
        -ms-transition: all 0.3s linear;
        -o-transition: all 0.3s linear;

        &:hover {
            background-color: #000000;
        }

        &:hover a {
            color: white;
        }
    }
}

/* navbar element color change */

.header .menu a {
    text-decoration: none;
    text-transform: capitalize;
    font-style: 16px;
    color: rgb(0, 0, 0);
    line-height: 1.5;
    display: block;
    font-weight: 500;
}

.header .menu>ul>li>a {
    padding: 12px 0px;
}

.header .menu>ul>.dropdown>a {
    padding-right: 15px;
}

/* navbar dropdown icons color change */
.header .menu i {
    font-size: 16px;
    pointer-events: none;
    user-select: none;
    position: absolute;
    color: white;
    top: 50%;
    transform: translateY(-50%);
    -webkit-transform: translateY(-50%);
    -moz-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    -o-transform: translateY(-50%);
}

.header .menu>ul>li>i {
    right: -9px;
    color: #7A1414;
}

.header .menu .downicons {
    transform: rotate(-90deg);
    -webkit-transform: rotate(-90deg);
    -moz-transform: rotate(-90deg);
    -ms-transform: rotate(-90deg);
    -o-transform: rotate(-90deg);
    top: 10px;
}

/* dropdown bg color change */

.header .menu .sub-menu {
     width: 330px;
    position: absolute;
    text-align: left;
    top: 100%;
    left: 0;
    padding: 0px 0;
    /* overflow: hidden; */
    background-color: #7A1414;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 1px 3px 0px, rgba(0, 0, 0, 0.06) 0px 1px 2px 0px;
    z-index: 1;
    transform-origin: top;
    transform: scaleY((0));
    -webkit-transform: scaleY((0));
    -moz-transform: scaleY((0));
    -ms-transform: scaleY((0));
    -o-transform: scaleY((0));
    visibility: hidden;
    opacity: 0;
    border-radius: 0 0 15px 15px;
    -webkit-border-radius: 0 0 15px 15px;
    -moz-border-radius: 0 0 15px 15px;
    -ms-border-radius: 0 0 15px 15px;
    -o-border-radius: 0 0 15px 15px;
}

/* navbar element color change */

.header .sub-menu a {
    text-decoration: none;
    text-transform: capitalize;
    font-style: 16px;
    color: black;
    line-height: 30px;
    display: block;
}

/* navbar dropdown icons color change */
.header .sub-menu i {
    font-size: 16px;
    pointer-events: none;
    user-select: none;
    position: absolute;
    color: black;
    top: 50%;
    transform: translateY(-50%);
    -webkit-transform: translateY(-50%);
    -moz-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    -o-transform: translateY(-50%);
}

.header .menu .sub-menu-right {
    left: 100%;
    top: 0;
    width: 18vw;
    height: auto;

    &::-webkit-scrollbar {
        width: 6px;
    }

    &::-webkit-scrollbar-track {
        box-shadow: inset 0 0 5px grey;
        border-radius: 5px;
        -webkit-border-radius: 5px;
        -moz-border-radius: 5px;
        -ms-border-radius: 5px;
        -o-border-radius: 5px;
    }

    /* Handle */
    &::-webkit-scrollbar-thumb {
        background: var(--secondary);
        border-radius: 5px;
        -webkit-border-radius: 5px;
        -moz-border-radius: 5px;
        -ms-border-radius: 5px;
        -o-border-radius: 5px;
    }
}

.header .menu .sub-menu-left {
    left: auto;
    top: 0;
    right: 100%;
    right: 100%;
}

.header .menu li:hover>.sub-menu {
    opacity: 1;
    transform: none;
    -webkit-transform: none;
    -moz-transform: none;
    -ms-transform: none;
    -o-transform: none;
    visibility: visible;
    transition: all 0.5s linear;
    -webkit-transition: all 0.5s linear;
    -moz-transition: all 0.5s linear;
    -ms-transition: all 0.5s linear;
    -o-transition: all 0.5s linear;
}

.header .menu .sub-menu a {
    padding: 6px 24px;
}

.header .menu .sub-menu .dropdown>a {
    padding-right: 34px;
    color: white;
}

.header .menu .sub-menu li:hover>a>span {
    border-bottom: none;
}

.header .menu .sub-menu i {
    right: 24px;
    color: white;
}

.header-right {
    display: flex;
    display: none;
}

.header-right .open-menu-btn {
    display: none;
}

/*<=============================== responsiveness ==================================> */

@media (max-width:991px) {
    .top-nabvar {
        display: none;
    }

    .header {
        padding: 8px 0px;
    }

    .header .logo img {
        vertical-align: middle;
        width: 80px;
    }

    /* navbar bg color change */
    .header .menu {
        position: fixed;
        right: 0;
        top: 0;
        width: 300px;
        height: 100%;
        background-color: White;
        padding: 15px 17px 30px 10px;
        overflow-y: auto;
        overflow-x: hidden;
        z-index: 1;
        transform: translateX(100%);
        -webkit-transform: translateX(100%);
        -moz-transform: translateX(100%);
        -ms-transform: translateX(100%);
        -o-transform: translateX(100%);

        &::-webkit-scrollbar {
            width: 5px;
        }

        /* Track */
        &::-webkit-scrollbar-track {
            box-shadow: inset 0 0 5px grey;
            border-radius: 5px;
            -webkit-border-radius: 5px;
            -moz-border-radius: 5px;
            -ms-border-radius: 5px;
            -o-border-radius: 5px;
        }

        /* Handle */
        &::-webkit-scrollbar-thumb {
            background: var(--secondary);
            border-radius: 5px;
            -webkit-border-radius: 5px;
            -moz-border-radius: 5px;
            -ms-border-radius: 5px;
            -o-border-radius: 5px;
        }
    }

    .header .menu.open {
        transform: none;
        -webkit-transform: none;
        -moz-transform: none;
        -ms-transform: none;
        -o-transform: none;
    }

    .header .menu .head {
        display: flex;
        align-items: center;
        justify-content: space-between;
        margin-bottom: 25px;

    }

    .header .menu ul {
        list-style: none;
        margin: auto;
        padding-left: 15px !important;
    }

    .header .menu .close-menu-btn {
        height: 35px;
        width: 35px;
        position: relative;
        display: inline-flex;
        align-items: center;
        justify-content: center;
        background-color: transparent;
        cursor: pointer;
        border: none;
    }

    .header .menu .close-menu-btn::before,
    .header .menu .close-menu-btn::after {
        content: "";
        position: absolute;
        width: 80%;
        height: 2px;
        background-color: black;
    }

    .header .menu .close-menu-btn::before {
        transform: rotate(45deg);
        -webkit-transform: rotate(45deg);
        -moz-transform: rotate(45deg);
        -ms-transform: rotate(45deg);
        -o-transform: rotate(45deg);
    }

    .header .menu .close-menu-btn::after {
        transform: rotate(-45deg);
        -webkit-transform: rotate(-45deg);
        -moz-transform: rotate(-45deg);
        -ms-transform: rotate(-45deg);
        -o-transform: rotate(-45deg);
    }

    .header .menu a {
        text-decoration: none;
        text-transform: capitalize;
        font-style: 14px;
        color: black;
        line-height: 1.5;
        display: block;
        text-align: left;
    }

    .header .menu>ul>li {
        display: block;
    }

    .header .menu>ul>li:not(:last-child) {
        margin-right: 0;
    }

    .header .menu li:not(:last-child) {
        border-bottom: 1px solid hsla(0, 1%, 61%, 0.25);
    }

    .header .menu li:first-child {
        border-top: none;
    }

    .header .menu>ul>li>a {
        padding: 15px 0;
    }

    .header .menu>ul>.dropdown>a {
        padding-right: 34px;
    }



    .header .menu i {
        height: 34px;
        width: 34px;
        border: 1px solid black;
        display: inline-flex;
        align-items: center;
        justify-content: center;
        pointer-events: auto;
        cursor: pointer;
        color: black;
        right: 0px !important;
        top: 25px !important;
    }

    .header .menu .dropdown.active12>i {
        background: rgb(220, 219, 219);
        transform: rotate(180deg);
        -webkit-transform: rotate(180deg);
        -moz-transform: rotate(180deg);
        -ms-transform: rotate(180deg);
        -o-transform: rotate(180deg);
        top: 10px !important;

    }


    .header .menu .sub-menu {
        position: static;
        opacity: 1;
        transform: none;
        -webkit-transform: none;
        -moz-transform: none;
        -ms-transform: none;
        -o-transform: none;
        visibility: visible;
        padding: 0;
        box-shadow: none;
        width: 100%;
        display: none;
        padding: 0px !important;
    }

    .header .menu .dropdown.active12>.sub-menu {
        display: block;
    }

    .header .menu .sub-menu li:last-child {
        border: none;
    }

    .header .menu .sub-menu a {
        padding: 12px 0px 12px 15px;
    }

    .header .menu .sub-menu .sub-menu a {
        padding-left: 30px;
    }

    .header .menu .sub-menu .sub-menu .sub-menu a {
        padding-left: 45px;
    }

    .header .menu .sub-menu span {
        background-image: none;
    }

    .header .menu .sub-menu i {
        transform: none;
        -webkit-transform: none;
        -moz-transform: none;
        -ms-transform: none;
        -o-transform: none;
        right: 0;

    }

    .header .menu .downicons {
        transform: rotate(-90deg);
        -webkit-transform: rotate(-90deg);
        -moz-transform: rotate(-90deg);
        -ms-transform: rotate(-90deg);
        -o-transform: rotate(-90deg);
        top: 7px !important;
    }

    .header .menu .dropdown.active12 .downicons {
        top: 7px !important;
    }

    .header-right .open-menu-btn {
        display: inline-flex;
        align-items: center;
        justify-content: center;
        height: 40px;
        width: 44px;
        cursor: pointer;
        position: relative;
        background-color: transparent;
        border: none;
    }

    .header-right .open-menu-btn .line {
        height: 3px;
        width: 30px;
        background-color: hsl(0, 0%, 0%);
        position: absolute;

    }

    .header-right .open-menu-btn .line-1 {
        transform: translateY(-9px);
        -webkit-transform: translateY(-9px);
        -moz-transform: translateY(-9px);
        -ms-transform: translateY(-9px);
        -o-transform: translateY(-9px);
    }

    .header-right .open-menu-btn .line-3 {
        transform: translateY(9px);
        -webkit-transform: translateY(9px);
        -moz-transform: translateY(9px);
        -ms-transform: translateY(9px);
        -o-transform: translateY(9px);
    }

    .header-right {
        display: block;
    }

    .headerLeft {

        .headerLink {
            display: none;
        }

        .headerLinkTwo {
            display: none;
        }
    }
}

.headerLeft {
    display: flex;
    flex-direction: column;
    text-align: end;
    padding: 10px 0 0 0;

    .headerLink {

        a {
            display: inline-block;
            width: 35px;
            line-height: 35px;
            background-color: #7A1414;
            color: white;
            text-align: center;
            border-radius: 3px;
            -webkit-border-radius: 3px;
            -moz-border-radius: 3px;
            -ms-border-radius: 3px;
            -o-border-radius: 3px;

            i {
                font-size: 14px;
            }
        }
    }

    .headerLinkTwo {

        a {
            color: #7A1414;
            font-weight: 500;
            display: inline-block;
            margin-top: 10px;
        }
    }
}

.adminBtn {

    a {
        background-color: #7A1414;
        color: white !important;
        line-height: 0 !important;
        padding: 16px 15px !important;
        border-radius: 3px;
        -webkit-border-radius: 3px;
        -moz-border-radius: 3px;
        -ms-border-radius: 3px;
        -o-border-radius: 3px;
    }
}

@media (min-width:1000px) {
    .header .menu .sub-menu-right {
        left: 100%;
        top: 0;
        width: 18vw;
        /* height: auto; */
        max-height: 300px;
        overflow-y: scroll;

        /* width */
        &::-webkit-scrollbar {
            width: 6px;
        }

        /* Track */
        &::-webkit-scrollbar-track {
            box-shadow: inset 0 0 5px grey;
            border-radius: 5px;
            -webkit-border-radius: 5px;
            -moz-border-radius: 5px;
            -ms-border-radius: 5px;
            -o-border-radius: 5px;
        }

        /* Handle */
        &::-webkit-scrollbar-thumb {
            background: var(--secondary);
            border-radius: 5px;
            -webkit-border-radius: 5px;
            -moz-border-radius: 5px;
            -ms-border-radius: 5px;
            -o-border-radius: 5px;
        }
    }
}